\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - STL Extensions for CGAL

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
CGAL::Location_policy< Tag > Class Template Reference
Utilities

`#include <CGAL/Location_policy.h>`

## Definition

`Location_policy` is a policy class which can be used to specify a trade-off between memory usage and time complexity for the point location strategy used in a data-structure.

For example, passing `Location_policy<Compact>` as parameter to `Delaunay_triangulation_3` selects a slower point location which saves memory.

Parameters

`Tag` can only be either `Fast` or `Compact` currently.

Is Model Of:

  `DefaultConstructible`

  `CopyConstructible`

See Also
  `Compact`
  `Fast`
  `Fast_location`
  `Compact_location`